<html>
<head>
<title>OgreTextAreaOverlayElement.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreTextAreaOverlayElement.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreTextAreaOverlayElement_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*-------------------------------------------------------------------------</span>
<a name="l00002"></a>00002 <span class="comment">This source file is a part of OGRE</span>
<a name="l00003"></a>00003 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00004"></a>00004 <span class="comment"></span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00009"></a>00009 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00010"></a>00010 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00011"></a>00011 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00012"></a>00012 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00013"></a>00013 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00016"></a>00016 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00017"></a>00017 <span class="comment"></span>
<a name="l00018"></a>00018 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00019"></a>00019 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00020"></a>00020 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00021"></a>00021 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00022"></a>00022 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00023"></a>00023 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00024"></a>00024 <span class="comment">THE SOFTWARE</span>
<a name="l00025"></a>00025 <span class="comment">-------------------------------------------------------------------------*/</span>
<a name="l00026"></a>00026 
<a name="l00027"></a>00027 <span class="preprocessor">#ifndef _TextAreaOverlayElement_H__</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span><span class="preprocessor">#define _TextAreaOverlayElement_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span>
<a name="l00030"></a>00030 <span class="preprocessor">#include &quot;<a class="code" href="OgreOverlayElement_8h.html">OgreOverlayElement.h</a>&quot;</span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreFont_8h.html">OgreFont.h</a>&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="keyword">namespace </span>Ogre
<a name="l00034"></a>00034 {
<a name="l00043"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html">00043</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html" title="This class implements an overlay element which contains simple unformatted text.">TextAreaOverlayElement</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a>
<a name="l00044"></a>00044     {
<a name="l00045"></a>00045     <span class="keyword">public</span>:
<a name="l00046"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a10447c4f63a1ea3b9084d32518dd7620">00046</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a10447c4f63a1ea3b9084d32518dd7620">Alignment</a>
<a name="l00047"></a>00047         {
<a name="l00048"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a10447c4f63a1ea3b9084d32518dd7620aa2de28cc541a4e31b1af35e0bc97f6e3">00048</a>             <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a10447c4f63a1ea3b9084d32518dd7620aa2de28cc541a4e31b1af35e0bc97f6e3">Left</a>,
<a name="l00049"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a10447c4f63a1ea3b9084d32518dd7620a224b24e02502ea0d67ec607db7117f86">00049</a>             <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a10447c4f63a1ea3b9084d32518dd7620a224b24e02502ea0d67ec607db7117f86">Right</a>,
<a name="l00050"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a10447c4f63a1ea3b9084d32518dd7620a7ad07bf977d410148895edaeab788c8c">00050</a>             Center
<a name="l00051"></a>00051         };
<a name="l00052"></a>00052 
<a name="l00053"></a>00053     <span class="keyword">public</span>:
<a name="l00055"></a>00055         <a class="code" href="classOgre_1_1TextAreaOverlayElement.html" title="This class implements an overlay element which contains simple unformatted text.">TextAreaOverlayElement</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00056"></a>00056         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1TextAreaOverlayElement.html" title="This class implements an overlay element which contains simple unformatted text.">TextAreaOverlayElement</a>();
<a name="l00057"></a>00057 
<a name="l00058"></a>00058         <span class="keyword">virtual</span> <span class="keywordtype">void</span> initialise(<span class="keywordtype">void</span>);
<a name="l00059"></a>00059         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCaption(<span class="keyword">const</span> <a class="code" href="group__Overlays.html#gaf7f1d73c45c54848737f8d59741822f0">DisplayString</a>&amp; text);
<a name="l00060"></a>00060 
<a name="l00061"></a>00061         <span class="keywordtype">void</span> setCharHeight( <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> height );
<a name="l00062"></a>00062         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getCharHeight() <span class="keyword">const</span>;
<a name="l00063"></a>00063 
<a name="l00064"></a>00064         <span class="keywordtype">void</span> setSpaceWidth( <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> width );
<a name="l00065"></a>00065         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getSpaceWidth() <span class="keyword">const</span>;
<a name="l00066"></a>00066 
<a name="l00067"></a>00067         <span class="keywordtype">void</span> setFontName( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; font );
<a name="l00068"></a>00068         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getFontName() <span class="keyword">const</span>;
<a name="l00069"></a>00069 
<a name="l00071"></a>00071         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getTypeName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00073"></a>00073         <span class="keyword">const</span> <a class="code" href="classOgre_1_1MaterialPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.">MaterialPtr</a>&amp; getMaterial(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00075"></a>00075         <span class="keywordtype">void</span> getRenderOperation(<a class="code" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a>&amp; op);
<a name="l00077"></a>00077         <span class="keywordtype">void</span> setMaterialName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; matName);
<a name="l00078"></a>00078 
<a name="l00085"></a>00085         <span class="keywordtype">void</span> setColour(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; col);
<a name="l00086"></a>00086 
<a name="l00088"></a>00088         <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getColour(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00095"></a>00095         <span class="keywordtype">void</span> setColourBottom(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; col);
<a name="l00097"></a>00097         <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getColourBottom(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00104"></a>00104         <span class="keywordtype">void</span> setColourTop(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; col);
<a name="l00106"></a>00106         <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getColourTop(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00107"></a>00107 
<a name="l00108"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a4bfa3788d8c187e446f2e8272960a1d8">00108</a>         <span class="keyword">inline</span> <span class="keywordtype">void</span> setAlignment( <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a10447c4f63a1ea3b9084d32518dd7620">Alignment</a> a )
<a name="l00109"></a>00109         {
<a name="l00110"></a>00110             mAlignment = a;
<a name="l00111"></a>00111             mGeomPositionsOutOfDate = <span class="keyword">true</span>;
<a name="l00112"></a>00112         }
<a name="l00113"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#ace8d1af9df852c69caf8865719230d91">00113</a>         <span class="keyword">inline</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a10447c4f63a1ea3b9084d32518dd7620">Alignment</a> getAlignment()<span class="keyword"> const</span>
<a name="l00114"></a>00114 <span class="keyword">        </span>{
<a name="l00115"></a>00115             <span class="keywordflow">return</span> mAlignment;
<a name="l00116"></a>00116         }
<a name="l00117"></a>00117 
<a name="l00119"></a>00119         <span class="keywordtype">void</span> setMetricsMode(<a class="code" href="group__Overlays.html#gaa7655e44eacdfd45427ff35bde855f36" title="Enum describing how the position / size of an element is to be recorded.">GuiMetricsMode</a> gmm);
<a name="l00120"></a>00120 
<a name="l00122"></a>00122         <span class="keywordtype">void</span> _update(<span class="keywordtype">void</span>);
<a name="l00123"></a>00123 
<a name="l00124"></a>00124         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00128"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCaption.html">00128</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCaption.html" title="Command object for setting the caption.">CmdCaption</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00129"></a>00129         {
<a name="l00130"></a>00130         <span class="keyword">public</span>:
<a name="l00131"></a>00131             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00132"></a>00132             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00133"></a>00133         };
<a name="l00134"></a>00134         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00138"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCharHeight.html">00138</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCharHeight.html" title="Command object for setting the char height.">CmdCharHeight</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00139"></a>00139         {
<a name="l00140"></a>00140         <span class="keyword">public</span>:
<a name="l00141"></a>00141             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00142"></a>00142             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00143"></a>00143         };
<a name="l00144"></a>00144         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00148"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html">00148</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html" title="Command object for setting the width of a space.">CmdSpaceWidth</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00149"></a>00149         {
<a name="l00150"></a>00150         <span class="keyword">public</span>:
<a name="l00151"></a>00151             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00152"></a>00152             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00153"></a>00153         };
<a name="l00154"></a>00154         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00158"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdFontName.html">00158</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdFontName.html" title="Command object for setting the caption.">CmdFontName</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00159"></a>00159         {
<a name="l00160"></a>00160         <span class="keyword">public</span>:
<a name="l00161"></a>00161             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00162"></a>00162             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00163"></a>00163         };
<a name="l00164"></a>00164         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00168"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourTop.html">00168</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourTop.html" title="Command object for setting the top colour.">CmdColourTop</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00169"></a>00169         {
<a name="l00170"></a>00170         <span class="keyword">public</span>:
<a name="l00171"></a>00171             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00172"></a>00172             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00173"></a>00173         };
<a name="l00174"></a>00174         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00178"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourBottom.html">00178</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourBottom.html" title="Command object for setting the bottom colour.">CmdColourBottom</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00179"></a>00179         {
<a name="l00180"></a>00180         <span class="keyword">public</span>:
<a name="l00181"></a>00181             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00182"></a>00182             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00183"></a>00183         };
<a name="l00184"></a>00184         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00188"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColour.html">00188</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColour.html" title="Command object for setting the constant colour.">CmdColour</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00189"></a>00189         {
<a name="l00190"></a>00190         <span class="keyword">public</span>:
<a name="l00191"></a>00191             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00192"></a>00192             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00193"></a>00193         };
<a name="l00194"></a>00194         <span class="comment">//-----------------------------------------------------------------------------------------</span>
<a name="l00198"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdAlignment.html">00198</a> <span class="comment"></span>        <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdAlignment.html" title="Command object for setting the alignment.">CmdAlignment</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>
<a name="l00199"></a>00199         {
<a name="l00200"></a>00200         <span class="keyword">public</span>:
<a name="l00201"></a>00201             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> doGet( <span class="keyword">const</span> <span class="keywordtype">void</span>* target ) <span class="keyword">const</span>;
<a name="l00202"></a>00202             <span class="keywordtype">void</span> doSet( <span class="keywordtype">void</span>* target, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val );
<a name="l00203"></a>00203         };
<a name="l00204"></a>00204 
<a name="l00205"></a>00205     <span class="keyword">protected</span>:
<a name="l00207"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a9c5a615ac025812ddd864f5a1eb84db4">00207</a>         <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a10447c4f63a1ea3b9084d32518dd7620">Alignment</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a9c5a615ac025812ddd864f5a1eb84db4" title="The text alignment.">mAlignment</a>;
<a name="l00208"></a>00208 
<a name="l00210"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#ae09d25fea5deead15be5fb28b70df851">00210</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#ae09d25fea5deead15be5fb28b70df851" title="Flag indicating if this panel should be visual or just group things.">mTransparent</a>;
<a name="l00211"></a>00211 
<a name="l00213"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a5feb4b4cb5edced7f32af5b140d2131e">00213</a>         <a class="code" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a5feb4b4cb5edced7f32af5b140d2131e" title="Render operation.">mRenderOp</a>;
<a name="l00214"></a>00214 
<a name="l00216"></a>00216         <span class="keywordtype">void</span> addBaseParameters(<span class="keywordtype">void</span>);
<a name="l00217"></a>00217 
<a name="l00218"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a4e3a5ee47266ff4690c770b0103dc58a">00218</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a4e3a5ee47266ff4690c770b0103dc58a">msTypeName</a>;
<a name="l00219"></a>00219 
<a name="l00220"></a>00220         <span class="comment">// Command objects</span>
<a name="l00221"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#aaf1654e19087cee149905a6d3095a052">00221</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCharHeight.html" title="Command object for setting the char height.">CmdCharHeight</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#aaf1654e19087cee149905a6d3095a052">msCmdCharHeight</a>;
<a name="l00222"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a36bf986cf4398857cb38489012527f76">00222</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html" title="Command object for setting the width of a space.">CmdSpaceWidth</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a36bf986cf4398857cb38489012527f76">msCmdSpaceWidth</a>;
<a name="l00223"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#aa09499fe3f120a7a23b4f4eaba3c6047">00223</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdFontName.html" title="Command object for setting the caption.">CmdFontName</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#aa09499fe3f120a7a23b4f4eaba3c6047">msCmdFontName</a>;
<a name="l00224"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#aa331a3e0471c2b80dc1ce564216c6ddc">00224</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColour.html" title="Command object for setting the constant colour.">CmdColour</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#aa331a3e0471c2b80dc1ce564216c6ddc">msCmdColour</a>;
<a name="l00225"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a8e7588d4eb1dfb5fd91734c6e1bb3d38">00225</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourTop.html" title="Command object for setting the top colour.">CmdColourTop</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a8e7588d4eb1dfb5fd91734c6e1bb3d38">msCmdColourTop</a>;
<a name="l00226"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a855e8afee62a12406b2124af751012b0">00226</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourBottom.html" title="Command object for setting the bottom colour.">CmdColourBottom</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a855e8afee62a12406b2124af751012b0">msCmdColourBottom</a>;
<a name="l00227"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a7ed744f83ad9f56ddabea9145dcfe601">00227</a>         <span class="keyword">static</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement_1_1CmdAlignment.html" title="Command object for setting the alignment.">CmdAlignment</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a7ed744f83ad9f56ddabea9145dcfe601">msCmdAlignment</a>;
<a name="l00228"></a>00228 
<a name="l00229"></a>00229 
<a name="l00230"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a9af282ce2a5c1806cb34a461e7dc489b">00230</a>         <a class="code" href="classOgre_1_1FontPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to FontPtr.">FontPtr</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a9af282ce2a5c1806cb34a461e7dc489b">mFont</a>;
<a name="l00231"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a3a48d43d0030bb9680bfc7e5efb89be9">00231</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a3a48d43d0030bb9680bfc7e5efb89be9">mCharHeight</a>;
<a name="l00232"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a1ae6d9ab9adc26f61b0b1f60eb9fa54b">00232</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a1ae6d9ab9adc26f61b0b1f60eb9fa54b">mPixelCharHeight</a>;
<a name="l00233"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#ad8cade1c0edf8b848289733e58a9217f">00233</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#ad8cade1c0edf8b848289733e58a9217f">mSpaceWidth</a>;
<a name="l00234"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a289dd0f9addb0abb49785b9b06d87456">00234</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a289dd0f9addb0abb49785b9b06d87456">mPixelSpaceWidth</a>;
<a name="l00235"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a90251723b1d4ec72a66a35c6ae07fcbd">00235</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a90251723b1d4ec72a66a35c6ae07fcbd">mAllocSize</a>;
<a name="l00236"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a0f0cd55670b8b722191c6075451d0e55">00236</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a0f0cd55670b8b722191c6075451d0e55">mViewportAspectCoef</a>;
<a name="l00237"></a>00237 
<a name="l00239"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a820589589a3b6e8c40efe93f2339ec83">00239</a>         <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a820589589a3b6e8c40efe93f2339ec83" title="Colours to use for the vertices.">mColourBottom</a>;
<a name="l00240"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a5d7355cb194284891d01d6217260d51e">00240</a>         <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#a5d7355cb194284891d01d6217260d51e">mColourTop</a>;
<a name="l00241"></a><a class="code" href="classOgre_1_1TextAreaOverlayElement.html#ab8471a54a8fb30eb3dea918065ad9692">00241</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1TextAreaOverlayElement.html#ab8471a54a8fb30eb3dea918065ad9692">mColoursChanged</a>;
<a name="l00242"></a>00242 
<a name="l00243"></a>00243 
<a name="l00245"></a>00245         <span class="keywordtype">void</span> checkMemoryAllocation( <span class="keywordtype">size_t</span> numChars );
<a name="l00247"></a>00247         <span class="keyword">virtual</span> <span class="keywordtype">void</span> updatePositionGeometry();
<a name="l00249"></a>00249         <span class="keyword">virtual</span> <span class="keywordtype">void</span> updateTextureGeometry();
<a name="l00251"></a>00251         <span class="keyword">virtual</span> <span class="keywordtype">void</span> updateColours(<span class="keywordtype">void</span>);
<a name="l00252"></a>00252     };
<a name="l00255"></a>00255 }
<a name="l00256"></a>00256 
<a name="l00257"></a>00257 <span class="preprocessor">#endif</span>
<a name="l00258"></a>00258 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:52
</p>
</body>
</html>
